

/**
 * Created by IntelliJ IDEA.
 * User: m09has
 * Date: 30.09.2009
 * Time: 17:30:35
 * To change this template use File | Settings | File Templates.
 */    import java.io.PrintWriter;
import java.io.File;
import java.util.Scanner;
public class Program {    public static void main (String[] arqs)   throws Exception{
  Scanner s=new Scanner (new File ("quotient.in"));
  long a=s.nextInt();
  long b=s.nextInt();
    if (b==0){
    PrintWriter p = new PrintWriter (new File("quotient.out"));
    p.print ("Na nol' delit' nel'zya!!!");
    p.close(); }else{PrintWriter p = new PrintWriter (new File("quotient.out")); double c=a/b;
    p.print (c);  p.close();};   s.close();
}
}

